org.apache.http.client.protocol

## Class ResponseAuthCache

- java.lang.Object
- - org.apache.http.client.protocol.ResponseAuthCache

All Implemented Interfaces:
  org.apache.http.HttpResponseInterceptor

Deprecated.
(4.2) use `AuthenticationStrategy`

    @Contract(threading=IMMUTABLE)
    @Deprecated
    public class ResponseAuthCache
    extends Object
    implements org.apache.http.HttpResponseInterceptor

Response interceptor that adds successfully completed `AuthScheme`s to the local `AuthCache` instance. Cached `AuthScheme`s can be re-used when executing requests against known hosts, thus avoiding additional authentication round-trips.

Since:
  4.1

### Constructor Summary

Constructors
Constructor and Description
`ResponseAuthCache()` Deprecated.

### Method Summary

Methods
`void` `process(org.apache.http.HttpResponse response, org.apache.http.protocol.HttpContext context)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResponseAuthCache

    public ResponseAuthCache()

Deprecated.

### Method Detail

#### process

    public void process(org.apache.http.HttpResponse response,
               org.apache.http.protocol.HttpContext context)
                 throws org.apache.http.HttpException,
                        IOException

Deprecated.

Specified by:
  `process` in interface `org.apache.http.HttpResponseInterceptor`
Throws:
  `org.apache.http.HttpException`
  `IOException`